Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.leafset
Class RequestLeafSet

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.leafset.RequestLeafSet

All Implemented Interfaces:
  java.io.Serializable

public class RequestLeafSet
extends Message
implements java.io.Serializable

Request a leaf set from another node.

Version:
  $Id: RequestLeafSet.java,v 1.6 2005/03/11 00:58:04 jeffh Exp $
Author:
  Andrew Ladd
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`RequestLeafSet(Credentials cred, java.util.Date stamp, NodeHandle nh)` Constructor.
`RequestLeafSet(Credentials cred, NodeHandle nh)` Constructor.
`RequestLeafSet(java.util.Date stamp, NodeHandle nh)` Constructor.
`RequestLeafSet(NodeHandle nh)` Constructor.

Method Summary
`NodeHandle` | `returnHandle()` The return handle for the message
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, getStream, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestLeafSet

    public RequestLeafSet(NodeHandle nh)

  Constructor.

Parameters:
  `nh` - the return handle.

### RequestLeafSet

    public RequestLeafSet(Credentials cred,
                          NodeHandle nh)

  Constructor.

Parameters:
  `cred` - the credentials.
  `nh` - the return handle.

### RequestLeafSet

    public RequestLeafSet(java.util.Date stamp,
                          NodeHandle nh)

  Constructor.

Parameters:
  `stamp` - the timestamp
  `nh` - the return handle

### RequestLeafSet

    public RequestLeafSet(Credentials cred,
                          java.util.Date stamp,
                          NodeHandle nh)

  Constructor.

Parameters:
  `cred` - the credentials.
  `stamp` - the timestamp
  `nh` - the return handle.

Method Detail

### returnHandle

    public NodeHandle returnHandle()

  The return handle for the message

  Returns:
    the node handle

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.